### Method

# GUPnP DeviceInfo get_icon_async

#### Declaration [src]

    void
    gupnp_device_info_get_icon_async (
      GUPnPDeviceInfo* info,
      const char* requested_mime_type,
      int requested_depth,
      int requested_width,
      int requested_height,
      gboolean prefer_bigger,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Download the device icon matching the request parameters. For details on the lookup procedure, see `gupnp_device_info_get_icon_url()`

#### Parameters

`requested_mime_type` | `const char*`
| The requested file format, or `NULL` for any.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`requested_depth` | `int`
| The requested color depth, or -1 for any.
`requested_width` | `int`
| The requested width, or -1 for any.
`requested_height` | `int`
| The requested height, or -1 for any.
`prefer_bigger` | `gboolean`
| `TRUE` if a bigger, rather than a smaller icon should be returned if no exact match could be found.
`cancellable` | `GCancellable`
| No description available.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| No description available.
| The argument can be `NULL`.
`user_data` | `gpointer`
| No description available.
| The argument can be `NULL`.
| The data is owned by the caller of the function.